<template>
  <label>Prediction in next 3 month (+3M)</label>
  <p>Trend: UP</p>
  <p>Probability: 99.99%</p>

  <el-divider></el-divider>
  <label>Order Effective Date</label>
  <p>{{ orderDate }}</p>
</template>

<script>
import { useFundNAV } from "@/composables/fundNav";
import { computed } from "vue";
export default {
  setup() {
    const { currentNavDate } = useFundNAV();

    function disabledDate(time) {
      return (
        time.getTime() < Date.now() - 3600 * 1000 * 24 * 1 ||
        time.getTime() >= Date.now() + 3600 * 1000 * 24 * 7 ||
        time.getDay() == 0 ||
        time.getDay() == 6
      );
    }

    return {
      disabledDate,
      orderDate: computed(() => currentNavDate.value.format("DD/MM/YYYY")),
    };
  },
};
</script>
